searchData={"items":[{"type":"module","title":"Ueberauth.Strategy.Headhunter","doc":"Headhunter Strategy for Überauth.","ref":"Ueberauth.Strategy.Headhunter.html"},{"type":"function","title":"Ueberauth.Strategy.Headhunter.credentials/1","doc":"Includes the credentials from the Headhunter response.","ref":"Ueberauth.Strategy.Headhunter.html#credentials/1"},{"type":"function","title":"Ueberauth.Strategy.Headhunter.default_options/0","doc":"","ref":"Ueberauth.Strategy.Headhunter.html#default_options/0"},{"type":"function","title":"Ueberauth.Strategy.Headhunter.extra/1","doc":"Stores the raw information (including the token) obtained from the Headhunter\ncallback.","ref":"Ueberauth.Strategy.Headhunter.html#extra/1"},{"type":"function","title":"Ueberauth.Strategy.Headhunter.handle_cleanup!/1","doc":"Cleans up the private area of the connection used for passing the raw Headhunter\nresponse around during the callback.","ref":"Ueberauth.Strategy.Headhunter.html#handle_cleanup!/1"},{"type":"function","title":"Ueberauth.Strategy.Headhunter.handle_request!/1","doc":"Handles the initial redirect to the headhunter authentication page.","ref":"Ueberauth.Strategy.Headhunter.html#handle_request!/1"},{"type":"function","title":"Ueberauth.Strategy.Headhunter.info/1","doc":"Fetches the fields to populate the info section of the `Ueberauth.Auth`\nstruct.","ref":"Ueberauth.Strategy.Headhunter.html#info/1"},{"type":"function","title":"Ueberauth.Strategy.Headhunter.uid/1","doc":"Fetches the `:uid` field from the Headhunter response.\nThis defaults to the option `:uid_field` which in-turn defaults to `:id`","ref":"Ueberauth.Strategy.Headhunter.html#uid/1"},{"type":"module","title":"Ueberauth.Strategy.Headhunter.OAuth","doc":"OAuth2 for Headhunter.\n\nAdd `:client_id` and `:client_secret` to your configuration:\n\n    config :ueberauth, Ueberauth.Strategy.Headhunter.OAuth,\n      client_id: System.get_env(\"HEADHUNTER_CLIENT_ID\"),\n      client_secret: System.get_env(\"HEADHUNTER_CLIENT_SECRET\")","ref":"Ueberauth.Strategy.Headhunter.OAuth.html"},{"type":"function","title":"Ueberauth.Strategy.Headhunter.OAuth.authorize_url/2","doc":"","ref":"Ueberauth.Strategy.Headhunter.OAuth.html#authorize_url/2"},{"type":"function","title":"Ueberauth.Strategy.Headhunter.OAuth.authorize_url!/2","doc":"Provides the authorize url for the request phase of Ueberauth.\nNo need to call this usually.","ref":"Ueberauth.Strategy.Headhunter.OAuth.html#authorize_url!/2"},{"type":"function","title":"Ueberauth.Strategy.Headhunter.OAuth.client/1","doc":"Construct a client for requests to Headhunter.\n\nThis will be setup automatically for you in `Ueberauth.Strategy.Headhunter`.\n\nThese options are only useful for usage outside the normal callback phase of Ueberauth.","ref":"Ueberauth.Strategy.Headhunter.OAuth.html#client/1"},{"type":"function","title":"Ueberauth.Strategy.Headhunter.OAuth.get/4","doc":"","ref":"Ueberauth.Strategy.Headhunter.OAuth.html#get/4"},{"type":"function","title":"Ueberauth.Strategy.Headhunter.OAuth.get_token/3","doc":"","ref":"Ueberauth.Strategy.Headhunter.OAuth.html#get_token/3"},{"type":"function","title":"Ueberauth.Strategy.Headhunter.OAuth.get_token!/2","doc":"","ref":"Ueberauth.Strategy.Headhunter.OAuth.html#get_token!/2"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),\nand this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).\n\n## [Unreleased]","ref":"changelog.html"},{"type":"extras","title":"v0.0.1 - 2022-04-22 - Changelog","doc":"* Initial strategy","ref":"changelog.html#v0-0-1-2022-04-22"},{"type":"extras","title":"Contributing","doc":"# Contributing","ref":"contributing.html"},{"type":"extras","title":"Pull Requests Welcome - Contributing","doc":"1. Fork ueberauth_pipedrive\n2. Create a topic branch\n3. Make logically-grouped commits with clear commit messages\n4. Push commits to your fork\n5. Open a pull request against ueberauth_pipedrive/main","ref":"contributing.html#pull-requests-welcome"},{"type":"extras","title":"Issues - Contributing","doc":"If you believe there to be a bug, please provide the maintainers with enough\ndetail to reproduce or a link to an app exhibiting unexpected behavior. For\nhelp, please start with Stack Overflow.","ref":"contributing.html#issues"},{"type":"extras","title":"License","doc":"MIT License\n\nCopyright (c) 2022 Vitaly Glibin\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"},{"type":"extras","title":"Überauth Headhunter","doc":"# Überauth Headhunter\n\n[![Module Version](https://img.shields.io/hexpm/v/ueberauth_headhunter.svg)](https://hex.pm/packages/ueberauth_headhunter)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/ueberauth_headhunter/)\n[![License](https://img.shields.io/hexpm/l/ueberauth_headhunter.svg)](https://github.com/glibin/ueberauth_headhunter/blob/main/LICENSE.md)\n\n> Headhunter OAuth2 strategy for Überauth.","ref":"readme.html"},{"type":"extras","title":"Installation - Überauth Headhunter","doc":"1.  Setup your application at https://headhunter.readme.io/docs/marketplace-oauth-authorization.\n\n2.  Add `:ueberauth_headhunter` to your list of dependencies in `mix.exs`:\n\n    ```elixir\n    def deps do\n      [\n        {:ueberauth_headhunter, \"~> 0.0.3\"}\n      ]\n    end\n    ```\n\n3.  Add Headhunter to your Überauth configuration:\n\n    ```elixir\n    config :ueberauth, Ueberauth,\n      providers: [\n        headhunter: {Ueberauth.Strategy.Headhunter, []}\n      ]\n    ```\n\n4.  Update your provider configuration:\n\n    Use that if you want to read client ID/secret from the environment\n    variables in the compile time:\n\n    ```elixir\n    config :ueberauth, Ueberauth.Strategy.Headhunter.OAuth,\n      client_id: System.get_env(\"HEADHUNTER_CLIENT_ID\"),\n      client_secret: System.get_env(\"HEADHUNTER_CLIENT_SECRET\")\n    ```\n\n    Use that if you want to read client ID/secret from the environment\n    variables in the run time:\n\n    ```elixir\n    config :ueberauth, Ueberauth.Strategy.Headhunter.OAuth,\n      client_id: {System, :get_env, [\"HEADHUNTER_CLIENT_ID\"]},\n      client_secret: {System, :get_env, [\"HEADHUNTER_CLIENT_SECRET\"]}\n    ```\n\n5.  Include the Überauth plug in your controller:\n\n    ```elixir\n    defmodule MyApp.AuthController do\n      use MyApp.Web, :controller\n      plug Ueberauth\n      ...\n    end\n    ```\n\n6.  Create the request and callback routes if you haven't already:\n\n    ```elixir\n    scope \"/auth\", MyApp do\n      pipe_through :browser\n\n      get \"/:provider\", AuthController, :request\n      get \"/:provider/callback\", AuthController, :callback\n    end\n    ```\n\n7.  Your controller needs to implement callbacks to deal with `Ueberauth.Auth` and `Ueberauth.Failure` responses.\n\nFor an example implementation see the [Überauth Example](https://github.com/ueberauth/ueberauth_example) application.","ref":"readme.html#installation"},{"type":"extras","title":"Calling - Überauth Headhunter","doc":"Depending on the configured url you can initiate the request through:\n\n    /auth/headhunter","ref":"readme.html#calling"},{"type":"extras","title":"Copyright and License - Überauth Headhunter","doc":"Copyright (c) 2022 Vitaly Glibin\n\nReleased under the MIT License, which can be found in the repository in [LICENSE](https://github.com/ueberauth/ueberauth_headhunter/blob/main/LICENSE).","ref":"readme.html#copyright-and-license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}